# $Revision: 1.28 $, $Date: 2009/01/26 10:12:48 $
# TODO
# - use ant conditions (replace JDBC_4_ANT_KEY_BEGIN) instead of the code in prep
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons DBCP - database connection pooling
Summary(pl.UTF-8):	Commons DBCP - zarządzanie połączeniem z bazą danych
Name:		java-commons-dbcp
Version:	1.2.2
Release:	1
License:	Apache
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/dbcp/source/commons-dbcp-%{version}-src.tar.gz
# Source0-md5:	57bad7d2abfaa175c743521caccdbd8f
Source1:	jakarta-commons-dbcp-tomcat5-build.xml
Patch0:		jakarta-commons-dbcp-bug-191.patch
Patch1:		jakarta-commons-dbcp-javadoc.patch
URL:		http://commons.apache.org/dbcp/
BuildRequires:	ant
BuildRequires:	java-commons-collections
BuildRequires:	java-commons-collections-tomcat5
BuildRequires:	java-commons-pool >= 1.2
BuildRequires:	java-commons-pool-tomcat5
BuildRequires:	jdk >= 1.2
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-commons-collections
Requires:	java-commons-pool >= 1.2
Requires:	jpackage-utils
Requires:	jre >= 1.2
Provides:	jakarta-commons-dbcp
Obsoletes:	jakarta-commons-dbcp
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBCP package provides database connection pooling services. The
following features are supported:
 - DataSource and Driver interfaces to the pool,
 - Support for arbitrary sources of the underlying Connections,
 - Integration with arbitrary org.apache.commons.pool.ObjectPool
   implementations,
 - Support for Connection validation, expiration, etc.,
 - Support for PreparedStatement pooling,
 - XML configuration.

%description -l pl.UTF-8
Pakiet DBCP dostarcza usługi gospodarujące połączeniami z bazą danych.
Obsługiwane są następujące własności:
 - interfejsy DataSource i Driver,
 - obsługa dowolnych źródeł dla podlegających im połączeń,
 - integracja z dowolnymi implementacjami
   org.apache.commons.pool.ObjectPool,
 - obsługa kontroli poprawności, przedawnienia połączeń itp.,
 - obsługa zarządzania PreparedStatement,
 - konfiguracja w XML-u.

%package javadoc
Summary:	Commons DBCP documentation
Summary(pl.UTF-8):	Dokumentacja do Commons DBCP
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-dbcp-javadoc
Obsoletes:	jakarta-commons-dbcp-doc
Obsoletes:	jakarta-commons-dbcp-javadoc

%description javadoc
Commons DBCP documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons DBCP.

%package tomcat5
Summary:	Commons DBCP dependency for Tomcat5
Summary(pl.UTF-8):	Elementy Commons DBCP dla Tomcata 5
Group:		Development/Languages/Java
Provides:	jakarta-commons-dbcp-tomcat5
Obsoletes:	jakarta-commons-dbcp-source
Obsoletes:	jakarta-commons-dbcp-tomcat5

%description tomcat5
Commons DBCP dependency for Tomcat5.

%description tomcat5 -l pl.UTF-8
Elementy Commons DBCP dla Tomcata 5.

%prep
%setup -q -n commons-dbcp-%{version}-src
cp %{SOURCE1} tomcat5-build.xml
%{__sed} -i -e 's,\r$,,' build.xml

java_version=$(IFS=.; set -- $(java -fullversion 2>&1 | grep -o '".*"' | xargs); echo "$1.$2")
if ! awk -vv=$java_version 'BEGIN{exit(v >= 1.6)}'; then # java is at least 1.6
%patch0 -p0
fi

%patch1 -p1

%build
required_jars="commons-pool commons-collections"
export CLASSPATH=$(build-classpath $required_jars)
%ant dist

required_jars="jdbc-stdext xercesImpl commons-collections-tomcat5 commons-pool-tomcat5"
export CLASSPATH=$(build-classpath $required_jars)
%ant -f tomcat5-build.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
# jars
install commons-dbcp-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-dbcp-%{version}.jar
ln -sf commons-dbcp-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-dbcp.jar

install dist/commons-dbcp.jar $RPM_BUILD_ROOT%{_javadir}/commons-dbcp-%{version}.jar

install dbcp-tomcat5/commons-dbcp-tomcat5.jar $RPM_BUILD_ROOT%{_javadir}/commons-dbcp-tomcat5-%{version}.jar
ln -sf commons-dbcp-tomcat5-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-dbcp-tomcat5.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc *.txt
%{_javadir}/commons-dbcp.jar
%{_javadir}/commons-dbcp-%{version}.jar

%files tomcat5
%defattr(644,root,root,755)
%{_javadir}/commons-dbcp-tomcat5.jar
%{_javadir}/commons-dbcp-tomcat5-%{version}.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-dbcp.spec,v $
Revision 1.28  2009/01/26 10:12:48  glen
- release 1

Revision 1.27  2008/12/25 19:30:09  pawelz
- added Provides/Obsoletes old name in subpackages

Revision 1.26  2008/11/23 23:34:43  glen
- renamed to java-commons-dbcp.spec

Revision 1.25  2008/01/14 20:01:53  qboosh
- pl for -tomcat5
- no more Jakarta in descs

Revision 1.24  2007-12-07 22:57:47  glen
- todo

Revision 1.23  2007-12-07 22:53:58  glen
- add patch from jira #191, builds with 1.5 and 1.6

Revision 1.22  2007-12-07 21:17:17  glen
- update to 1.2.2, add binary bcond

Revision 1.21  2007-12-02 22:40:09  glen
- fix build; rel 2

Revision 1.20  2007-12-02 21:43:16  glen
- build -tomcat5 dependency instead of -source for tomcat

Revision 1.19  2007-04-14 07:35:37  qboosh
- pl for -sources

Revision 1.18  2007/04/11 23:18:10  glen
- need src subdir

Revision 1.17  2007/04/11 23:12:00  glen
- added -source

Revision 1.16  2007/04/09 21:16:49  glen
- unify java package, builds with java 1.5

Revision 1.15  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.13  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.12  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.11  2005/05/08 17:13:31  qboosh
- more specific URL

Revision 1.10  2005/02/26 13:10:02  qboosh
- needs commons-pool 1.2

Revision 1.9  2005/02/25 22:52:37  undefine
- up to 1.2.1

Revision 1.8  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.7  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.6  2003/06/25 09:15:22  pascalek
- now javadoc know where commons-pool.jar is stored

Revision 1.5  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/26 10:18:12  qboosh
- enhanced descriptions and dependencies

Revision 1.2  2003/03/10 20:24:14  misiek
- more BR

Revision 1.1  2003/03/10 20:04:43  misiek
- initial pld release
